import request from '@/assets/js/utils/request'
/*
 * 供应商模块 -开票信息
 * */
//  获取发票列表(不用后期删除)
export function getInvoiceList(data) {
  return request({
    url: '/bidprocurement/common-user/user/invoice/getInvoiceList',
    method: 'post',
    data
  })
}
//  获取发票列表
export function listInvoicePages(data) {
  return request({
    url: '/bidprocurement/common-user/user/invoice/listInvoicePages',
    method: 'post',
    data
  })
}
//  获取发票信息所有字典
export function getInvoiceDictionaries(data) {
  return request({
    url: '/bidprocurement/common-user/user/invoice/getInvoiceDictionaries',
    method: 'post',
    data
  })
}
//  查看发票信息
export function getInvoiceById(data) {
  return request({
    url: '/bidprocurement/common-user/user/invoice/getInvoiceById/' + data,
    method: 'get'
  })
}
//  发票作废
export function invalidInvoice(data) {
  return request({
    url: '/bidprocurement/common-user/user/invoice/invalidInvoice?id=' + data,
    method: 'post',
    data
  })
}
